APIRules

Get MCP call condition schema

Get the MCP call condition schema: the variables a condition can read, and their fields.

GET
/rules/scopes/mcp-call/schema

Get the MCP call condition schema: the variables a condition can read, and their fields.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

No permission required.

Response Body

The request has succeeded.

application/json
  1. response
variables*

Available variables and their fields.

curl -X GET "https://example.com/rules/scopes/mcp-call/schema"
{  "variables": {    "property1": {      "description": "string",      "fields": {        "property1": {          "type": "string",          "description": "string",          "fields": {            "property1": {},            "property2": {}          }        },        "property2": {          "type": "string",          "description": "string",          "fields": {            "property1": {},            "property2": {}          }        }      },      "dynamic": true    },    "property2": {      "description": "string",      "fields": {        "property1": {          "type": "string",          "description": "string",          "fields": {            "property1": {},            "property2": {}          }        },        "property2": {          "type": "string",          "description": "string",          "fields": {            "property1": {},            "property2": {}          }        }      },      "dynamic": true    }  }}